summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorEric Anholt <eric@anholt.net>2009-03-26 17:15:11 -0700
committerEric Anholt <eric@anholt.net>2009-03-26 17:15:11 -0700
commit8c64183a461a422b0443f84622af48858d5fe6ed (patch)
treefd501f110cf01d6986660b3a4d13271d5978078e /autogen.sh
Initial import of intel-graphics-tools with some microbenchmarks.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..904cd674
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"